#!/usr/bin/env python
# coding: utf-8

# In[1]:


def find_factors(num):
    '''Return the number's prime factors.'''
    result = []

    # Take out the 2s.
    while num % 2 == 0:
        result.append(2)
        num //= 2

    # Take out other primes.
    factor = 3
    while factor * factor <= num:
        if num % factor == 0:
            # This is a factor.
            result.append(factor)
            num //= factor
        else:
            # Go to the next odd number.
            factor += 2

    # If num is not 1, then whatever is left is prime.
    if num > 1:
        result.append(num)

    return result


# In[44]:


import random

for i in range(10):
    num = random.randrange(100, 1000000)
    print(num)
    print(find_factors(num))


# In[ ]:




